import type { DeletionConfig } from '@message-queue-toolkit/core';
import type { Channel, ChannelModel } from 'amqplib';
import type { AMQPQueueCreationConfig, AMQPQueueLocator, AMQPTopicCreationConfig, AMQPTopicLocator, AMQPTopicPublisherConfig } from '../AbstractAmqpService';
export declare function checkQueueExists(connection: ChannelModel, locatorConfig: AMQPQueueLocator): Promise<void>;
export declare function checkExchangeExists(connection: ChannelModel, locatorConfig: AMQPTopicPublisherConfig): Promise<void>;
export declare function ensureAmqpQueue(connection: ChannelModel, channel: Channel, creationConfig?: AMQPQueueCreationConfig, locatorConfig?: AMQPQueueLocator): Promise<void>;
export declare function ensureAmqpTopicSubscription(connection: ChannelModel, channel: Channel, creationConfig?: AMQPTopicCreationConfig, locatorConfig?: AMQPTopicLocator): Promise<void>;
export declare function ensureExchange(connection: ChannelModel, channel: Channel, creationConfig?: AMQPTopicPublisherConfig, locatorConfig?: AMQPTopicPublisherConfig): Promise<void>;
export declare function deleteAmqpQueue(channel: Channel, deletionConfig: DeletionConfig, creationConfig: AMQPQueueCreationConfig): Promise<void>;
